define([
    'knockout',
    'arches',
    'templates/views/components/plugins/registro-guiado.htm'
], function(ko, arches, RegistroGuiadoTemplate) {

    var RegistroGuiado = function(params) {
        this.workflows = params.workflows.map(function(wf){
            wf.url = arches.urls.plugin(wf.slug);
            return wf;
        }, this);
    };

    return ko.components.register('registro-guiado', {
        viewModel: RegistroGuiado,
        template: RegistroGuiadoTemplate
    });
});